
QGIS Application - Bug report #5146

Shapefile merge crashes in 1.7.4 

2012-03-09 12:34 PM - andre mano

Status: Closed

Priority: Normal

Assignee: Alexander Bruy

Category: Processing/QGIS

Affected QGIS version:1.7.4 Regression?:

Operating System: Win7 32bit Easy fix?:

Pull Request or Patch supplied:No Resolution: invalid

Crashes QGIS or corrupts data:No Copied to github as #: 14902

Description

When trying to merge shapefiles through Vector -> Data Management -> Merge Shapefiles to One, it returns error message. The problem

ocurred in 6 different machines, all using the same envioronment specified below. I attach the files for testing.

____________________________________________________________________________

Traceback (most recent call last):

  File "C:\\PROGRA~2\\Quantum GIS Wroclaw\\apps\\qgis\\python\\plugins\\fTools\\tools\\doMergeShapes.py", line 124, in accept

    if self.inEncoding == None:

AttributeError: 'Dialog' object has no attribute 'inEncoding'

Python version:

2.7.2 (default, Jun 12 2011, 15:08:59) [MSC v.1500 32 bit (Intel)]

QGIS version:

1.7.4-Wroclaw Wroclaw, 411aff6

Python path: ['C:\\\\Users\\\\Liliana C\\\\.qgis\\\\python\\\\plugins\\\\elevation', 'C:/PROGRA~2/Quantum GIS Wroclaw/apps/qgis/./python',

'C:/Users/Liliana C/.qgis/python', 'C:/Users/Liliana C/.qgis/python/plugins', 'C:/PROGRA~2/Quantum GIS

Wroclaw/apps/qgis/./python/plugins', 'C:\\\\PROGRA~2\\\\Quantum GIS Wroclaw\\\\bin\\\\python27.zip', 'C:\\\\PROGRA~2\\\\Quantum GIS

Wroclaw\\\\apps\\\\Python27\\\\DLLs', 'C:\\\\PROGRA~2\\\\Quantum GIS Wroclaw\\\\apps\\\\Python27\\\\lib', 'C:\\\\PROGRA~2\\\\Quantum

GIS Wroclaw\\\\apps\\\\Python27\\\\lib\\\\plat-win', 'C:\\\\PROGRA~2\\\\Quantum GIS Wroclaw\\\\apps\\\\Python27\\\\lib\\\\lib-tk',

'C:\\\\PROGRA~2\\\\Quantum GIS Wroclaw\\\\apps\\\\qgis\\\\bin', 'C:\\\\PROGRA~2\\\\Quantum GIS Wroclaw\\\\apps\\\\Python27',

'C:\\\\PROGRA~2\\\\Quantum GIS Wroclaw\\\\apps\\\\Python27\\\\lib\\\\site-packages', 'C:\\\\PROGRA~2\\\\Quantum GIS

Wroclaw\\\\apps\\\\Python27\\\\lib\\\\site-packages\\\\PIL', 'C:\\\\PROGRA~2\\\\Quantum GIS

Wroclaw\\\\apps\\\\Python27\\\\lib\\\\site-packages\\\\win32', 'C:\\\\PROGRA~2\\\\Quantum GIS

Wroclaw\\\\apps\\\\Python27\\\\lib\\\\site-packages\\\\win32\\\\lib', 'C:\\\\PROGRA~2\\\\Quantum GIS

Wroclaw\\\\apps\\\\Python27\\\\lib\\\\site-packages\\\\Pythonwin', 'C:\\\\PROGRA~2\\\\Quantum GIS

Wroclaw\\\\apps\\\\Python27\\\\lib\\\\site-packages\\\\wx-2.8-msw-unicode', 'C:\\\\PROGRA~2\\\\Quantum GIS

Wroclaw\\\\apps\\\\qgis\\\\python\\\\plugins\\\\fTools\\\\tools', 'C:/Users/Liliana C/Desktop/SIG em Arqueologia']

History

#1 - 2012-03-09 12:39 PM - Giovanni Manghi

it works fine in qgis-master/Linux. Can you give it a try on Windows?

#2 - 2012-03-09 11:47 PM - Alexander Bruy

- Assignee set to Alexander Bruy

- Category changed from Vectors to 44
This already fixed in master, 1_8 and 1_7 branches. Please check.

P.S.: damn redmine, can't change ticket status to "Feedback".

#3 - 2012-03-10 02:20 AM - andre mano

I tested now with Master and I confirm it works fine. (Win 7 Home 32bit). The problem persists in 1.7.4.

#4 - 2012-03-10 02:24 AM - Alexander Bruy

- Status changed from Open to Closed

- Resolution set to invalid

andre - wrote:

I tested now with Master and I confirm it works fine. (Win 7 Home 32bit). The problem persists in 1.7.4.

As I say, it fixed in release-1_7 branch. So I close this ticket

#5 - 2012-03-14 06:00 AM - Giovanni Manghi

P.S.: damn redmine, can't change ticket status to "Feedback".

try now

#6 - 2017-05-01 01:22 AM - Giovanni Manghi

The "ftools" category is being removed from the tracker, changing the category of this ticket to "Processing/QGIS" to not leave the category orphaned.

Files

Concelhos.rar 499 KB 2012-03-09 andre mano
